package com.zswl.cloud.springBatch.client.model.recharge;

import cn.hutool.json.JSONObject;
import com.zhongshu.payment.client.model.Code;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class RechargeCreateModel extends Code {
    String sign;
    String phone;
    String shopName;
    BigDecimal totalAmount;
    String goodsName;
    String goodsPath;
    String orderDesc;
    String subOpenId;
    JSONObject goodsInfo;
    JSONObject shopInfo;
}
