package com.zswl.cloud.springBtach.server.core.api.paotui.model.response;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class DeliveryPriceResponse {


    private String min_logistic;
    private float min_price;           // 最低价格（单位: 元）
    private float max_price;           // 最高价格（单位: 元）
    private float coupon;             // 优惠金额（单位: 元）
    private List<Detail> detail;      // 配送详细结果

    @Data
    @AllArgsConstructor
    @NoArgsConstructor
    public static class Detail {
        private String logistic;          // 配送平台
        private String name;              // 配送平台名称
        private float distance;           // 距离（单位: 米）
        private float coupon;             // 优惠金额（单位: 元）
        private float amount;             // 配送费（单位: 元）
        private String tag;               // 标签，例如 "最便宜"
        private String errorMessage;      // 计价失败原因
    }
}
